#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "php.h"
#include "php_ciisa.h"

static function_entry ciisa_functions[] = {
	PHP_FE(print_ciisa_date, NULL)
	{NULL, NULL, NULL}
};

zend_module_entry ciisa_module_entry = {
	STANDARD_MODULE_HEADER,
	PHP_CIISA_EXTNAME,
	ciisa_functions,
	PHP_MINIT(ciisa),
	PHP_MSHUTDOWN(ciisa),
	PHP_RINIT(ciisa),
	PHP_RSHUTDOWN(ciisa),
	NULL,
	PHP_CIISA_VERSION,
	STANDARD_MODULE_PROPERTIES
};

#ifdef COMPILE_DL_CIISA
ZEND_GET_MODULE(ciisa)
#endif

PHP_MINIT_FUNCTION(ciisa)
{
	php_printf("Cargando modulo CIISA ...\n");
}

PHP_MSHUTDOWN_FUNCTION(ciisa)
{
	php_printf("Descargando modulo CIISA ...\n");
}

PHP_RINIT_FUNCTION(ciisa)
{
	php_printf("Atendiendo request!\n");
}

PHP_RSHUTDOWN_FUNCTION(ciisa)
{
	php_printf("Finalizando request!\n");
}

PHP_FUNCTION(print_ciisa_date)
{
	php_printf("Septiembre del 2008\n");
}

