#ifndef PHP_HPDF_H
#define PHP_HPDF_H 1

#define PHP_HPDF_VERSION "1.0"
#define PHP_HPDF_EXTNAME "hpdf"
#define PHP_HPDF_FONT_RES_NAME "HPDF Font"
#include <hpdf.h>

typedef struct _php_hpdf_font {
	HPDF_Font handle;
} php_hpdf_font_t;

PHP_METHOD(HPDF, __construct);
PHP_METHOD(HPDF, GetFont);
PHP_METHOD(HPDF, AddPage);
PHP_METHOD(HPDF, SetPassword);
PHP_METHOD(HPDF, SaveToFile);
PHP_METHOD(HPDF, __destruct);

PHP_METHOD(HPDFPage, __construct);
PHP_METHOD(HPDFPage, SetSize);
PHP_METHOD(HPDFPage, BeginText);
PHP_METHOD(HPDFPage, SetFontAndSize);
PHP_METHOD(HPDFPage, MoveTextPos);
PHP_METHOD(HPDFPage, ShowText);
PHP_METHOD(HPDFPage, EndText);
PHP_METHOD(HPDFPage, GetWidth);
PHP_METHOD(HPDFPage, GetHeight);
PHP_METHOD(HPDFPage, TextWidth);
PHP_METHOD(HPDFPage, __destruct);

PHP_MINIT_FUNCTION(hpdf);

extern zend_module_entry hpdf_module_entry;
#define phpext_hpdf_ptr &hpdf_module_entry

#endif
