<?php
dl('hpdf.so');
if ($argc != 5) {
	die("uso: creapdf_protegido [nombre-pdf] [mensaje] [password1] [password2]\n");
}
$fname = $argv[1] . ".pdf";
$text = $argv[2];
$ownerpass = $argv[3];
$userpass = $argv[4];

$pdf = HPDF_New();
$font = HPDF_GetFont($pdf, "Helvetica");
$page = HPDF_AddPage($pdf);
HPDF_Page_SetSize($page, HPDF_PAGE_SIZE_B5, HPDF_PAGE_LANDSCAPE);
HPDF_Page_BeginText($page);
HPDF_Page_SetFontAndSize($page, $font, 20);
$tw = HPDF_Page_TextWidth($page, $text);
HPDF_Page_MoveTextPos($page, (HPDF_Page_GetWidth($page) - $tw) / 2, (HPDF_Page_GetHeight($page) - 20) / 2);
HPDF_Page_ShowText($page, $text);
HPDF_Page_EndText($page);
HPDF_SetPassword($pdf, $ownerpass, $userpass);
HPDF_SaveToFile($pdf, $fname);
HPDF_Free($pdf); /* PHP liberaria esto de cualquier modo via el destructor del recurso */

?>
